// -----------------------------------------------------------------------------
// This file contains all application-wide Sass variables.
// -----------------------------------------------------------------------------

$font-family-sans: 'Helvetica', 'Arial', sans-serif !default;
$font-family-serif: 'Times New Roman', Times, serif !default;
$font-family-mono: 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', 'Monaco', monospace !default;


/// Text font family
/// @type List
$text-font-stack: $font-secondary, $font-family-sans !default;

/// Navigation font family
/// @type List
$navigation-font-stack: $font-secondary, $font-family-sans !default;

/// Heading font family
/// @type List
$heading-font-stack: $font-primary, $font-family-serif !default;

/// Inputs font family
/// @type List
$input-font-stack: $font-secondary, $font-family-sans !default;

/// Code (monospace) font family
/// @type List
$code-font-stack: $font-tertiary, $font-family-mono !default;




// Design based colors

/// UI - color
$ui-01:	$white !default;
$ui-02:	$gray-10 !default;
$ui-03:	$gray-20 !default;
$ui-04:	$gray-30 !default;
$ui-05:	$blue !default;
$ui-06:	$green !default;

/// TEXT - color
$text-01: $gray-100 !default;
$text-02: $gray-50 !default;
$text-03: $gray-40 !default;

/// LINK - color
$link-01: $blue !default;

/// INTERACTIVOS - color
$interactive-01: $blue !default;
$interactive-02: $gray-50 !default;
$interactive-03: $white !default;

/// ICONOS - color
$icons-01: $gray-100 !default;
$icons-02: $gray-40 !default;
$icons-03: $white !default;

/// TEXT FIELDS FORM - color
$field-01: $white !default;

/// INVERSE - color
$inverse-01: $white !default;

/// OVERLAY - color
$overlay-01: rgba($gray-100, 0.5) !default;

/// FOCUS - color
$focus-01: $blue !default;

/// HOVER - color
$hover-01: $blue !default;
$hover-02: $gray-40 !default;
$hover-link: $blue !default;
$hover-ui: $gray-20 !default;

/// PRESSED - color
$pressed-01: $blue !default;
$pressed-02: $gray-70 !default;
$pressed-ui: $gray-30 !default;

/// HIGLIGHT - color
$highlight-01: $blue !default;

/// DISABLED - color
$disabled-01: $gray-10 !default;
$disabled-02: $gray-30 !default;

/// SUPPORT - color
$support-01: $yellow !default;
$support-02: $green !default;





// Component based colors

$text-color-primary: $text-01 !default;
$text-color: $text-color-primary;
$text-color-secondary: $text-02 !default;

$text-color-inverse: $inverse-01 !default;

$accent-color: $ui-05 !default;
$brand-color: $ui-05 !default;

$link-color: $link-01 !default;
$link-color-hover: $hover-link !default;

$bg-color-default: $ui-01 !default;
$bg-color-default-light: $ui-02 !default;
$bg-color-default-dark: $ui-03 !default;

$border-color-light: $ui-03 !default;
$border-color-medium: $ui-04 !default;

$placeholder-color: $text-03 !default;

$focus-color: $focus-01 !default;

$icon-color-primary: $icons-01 !default;
$icon-color-secondary: $icons-02 !default;

$status-color-success: $support-02 !default;
$status-color-error: $ui-05 !default;

$highlight: $highlight-01 !default;



// Border Radius
$small-radius: 0px;
$radius: 0px;
$big-radius: 0px;
$radius-small: $small-radius;
$radius-big: $big-radius;



/// Transitions
$move-animation: 0.32s cubic-bezier(0.280, 0.000, 0.115, 1.000);
$fade-animation: 0.32s cubic-bezier(0.52, 0.16, 0.24, 1);
$color-transition: color $fade-animation;
$bordercolor-transition: border-color $fade-animation;
$bgcolor-transition: background-color $fade-animation;
$stroke-transition: stroke $fade-animation;



/// Paths
$core-font-path: "../fonts" !default;
$core-img-path: "../img" !default;



/// Breakpoints map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual breakpoints expressed in pixels
$grid-breakpoints: (
  'zero': 0px,
  'xsmall': 320px,
  'small': 480px,
  'medium': 768px,
  'large': 1024px,
  'xlarge': 1280px,
  'xxlarge': 1440px,
) !default;

/// Column Gutter map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual column gutter expressed in pixels
$column-gutter: (
  'zero': 24px,
  'xsmall': 24px,
  'small': 24px,
  'medium': 36px,
  'large': 40px,
  'xlarge': 48px,
  'xxlarge': 48px,
) !default;

/// Padding Small map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual padding-small expressed in pixels
$padding-small: (
  'xsmall': 80px,
  'small': 80px,
  'medium': 80px,
  'large': 48px,
  'xlarge': 80px,
  'xxlarge': 120px,
) !default;

/// Padding Medium map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual padding-medium expressed in pixels
$padding-medium: (
  'xsmall': 96px,
  'small': 120px,
  'medium': 56px,
  'large': 102px,
  'xlarge': 160px,
  'xxlarge': 200px,
) !default;


/// Padding Large map
/// @prop {String} keys - Keys are identifiers mapped to a given length
/// @prop {Map} values - Values are actual padding-large expressed in pixels
$padding-large: (
  'xsmall': 140px,
  'small': 160px,
  'medium': 180px,
  'large': 200px,
  'xlarge': 220px,
  'xxlarge': 240px,
) !default;



/// Relative or absolute URL where all assets are served from
/// @type String
/// @example scss - When using a CDN
///   $base-url: 'http://cdn.example.com/assets/';
$base-url: '/assets/' !default;
